_main:
;C_Meter_PIC32.c,26 :: 		void main()
;C_Meter_PIC32.c,29 :: 		bool calibration_flag = true;
;C_Meter_PIC32.c,32 :: 		system_setup();
JAL	_system_setup+0
NOP	
;C_Meter_PIC32.c,33 :: 		setup_interrupt();
JAL	_setup_interrupt+0
NOP	
;C_Meter_PIC32.c,34 :: 		InitTimer1();
JAL	_InitTimer1+0
NOP	
;C_Meter_PIC32.c,36 :: 		t_cal = 1.0 / 17776.0;
LUI	R2, 14443
ORI	R2, R2, 62469
SW	R2, Offset(_t_cal+0)(GP)
;C_Meter_PIC32.c,37 :: 		c_cal = t_cal / 77616.0;
LUI	R2, 12359
ORI	R2, R2, 15068
SW	R2, Offset(_c_cal+0)(GP)
;C_Meter_PIC32.c,39 :: 		int_count = 0;
SW	R0, Offset(_int_count+0)(GP)
;C_Meter_PIC32.c,41 :: 		while(1)
L_main0:
;C_Meter_PIC32.c,44 :: 		if( sec_flag )
LBU	R2, Offset(_sec_flag+0)(GP)
BNE	R2, R0, L__main8
NOP	
J	L_main2
NOP	
L__main8:
;C_Meter_PIC32.c,47 :: 		sprintf( uart_text, "Interrupts : %u\r\n", timer_count_end );
LW	R2, Offset(_timer_count_end+0)(GP)
ADDIU	SP, SP, -12
SW	R2, 8(SP)
LUI	R2, hi_addr(?lstr_1_C_Meter_PIC32+0)
ORI	R2, R2, lo_addr(?lstr_1_C_Meter_PIC32+0)
SW	R2, 4(SP)
LUI	R2, hi_addr(_uart_text+0)
ORI	R2, R2, lo_addr(_uart_text+0)
SW	R2, 0(SP)
JAL	_sprintf+0
NOP	
ADDIU	SP, SP, 12
;C_Meter_PIC32.c,48 :: 		UART2_Write_Text( uart_text );
LUI	R25, hi_addr(_uart_text+0)
ORI	R25, R25, lo_addr(_uart_text+0)
JAL	_UART2_Write_Text+0
NOP	
;C_Meter_PIC32.c,50 :: 		t_meas = 1.0 / timer_count_end;
LW	R4, Offset(_timer_count_end+0)(GP)
JAL	__Unsigned32IntToFloat+0
NOP	
LUI	R4, 16256
ORI	R4, R4, 0
MOVZ	R6, R2, R0
JAL	__Div_FP+0
NOP	
SW	R2, Offset(_t_meas+0)(GP)
;C_Meter_PIC32.c,51 :: 		c_meas = t_meas / 77616.0;
LUI	R6, 18327
ORI	R6, R6, 38912
MOVZ	R4, R2, R0
JAL	__Div_FP+0
NOP	
SW	R2, Offset(_c_meas+0)(GP)
;C_Meter_PIC32.c,52 :: 		final = fabs( c_cal - c_meas );
LW	R4, Offset(_c_cal+0)(GP)
MOVZ	R6, R2, R0
JAL	__Sub_FP+0
NOP	
MOVZ	R25, R2, R0
JAL	_fabs+0
NOP	
SW	R2, Offset(_final+0)(GP)
;C_Meter_PIC32.c,54 :: 		UART2_Write_Text( "Calibrated: " );
LUI	R25, hi_addr(?lstr2_C_Meter_PIC32+0)
ORI	R25, R25, lo_addr(?lstr2_C_Meter_PIC32+0)
JAL	_UART2_Write_Text+0
NOP	
;C_Meter_PIC32.c,55 :: 		FloatToStr( c_cal, uart_text );
LUI	R26, hi_addr(_uart_text+0)
ORI	R26, R26, lo_addr(_uart_text+0)
LW	R25, Offset(_c_cal+0)(GP)
JAL	_FloatToStr+0
NOP	
;C_Meter_PIC32.c,56 :: 		UART2_Write_Text( uart_text );
LUI	R25, hi_addr(_uart_text+0)
ORI	R25, R25, lo_addr(_uart_text+0)
JAL	_UART2_Write_Text+0
NOP	
;C_Meter_PIC32.c,57 :: 		UART2_Write_Text( "\r\n" );
LUI	R25, hi_addr(?lstr3_C_Meter_PIC32+0)
ORI	R25, R25, lo_addr(?lstr3_C_Meter_PIC32+0)
JAL	_UART2_Write_Text+0
NOP	
;C_Meter_PIC32.c,58 :: 		UART2_Write_Text( "Final: " );
LUI	R25, hi_addr(?lstr4_C_Meter_PIC32+0)
ORI	R25, R25, lo_addr(?lstr4_C_Meter_PIC32+0)
JAL	_UART2_Write_Text+0
NOP	
;C_Meter_PIC32.c,59 :: 		FloatToStr( final, final_text );
LUI	R26, hi_addr(_final_text+0)
ORI	R26, R26, lo_addr(_final_text+0)
LW	R25, Offset(_final+0)(GP)
JAL	_FloatToStr+0
NOP	
;C_Meter_PIC32.c,60 :: 		UART2_Write_Text( final_text );
LUI	R25, hi_addr(_final_text+0)
ORI	R25, R25, lo_addr(_final_text+0)
JAL	_UART2_Write_Text+0
NOP	
;C_Meter_PIC32.c,61 :: 		UART2_Write_Text( "\r\n" );
LUI	R25, hi_addr(?lstr5_C_Meter_PIC32+0)
ORI	R25, R25, lo_addr(?lstr5_C_Meter_PIC32+0)
JAL	_UART2_Write_Text+0
NOP	
;C_Meter_PIC32.c,63 :: 		sec_flag = false;
SB	R0, Offset(_sec_flag+0)(GP)
;C_Meter_PIC32.c,64 :: 		int_count = 0;
SW	R0, Offset(_int_count+0)(GP)
;C_Meter_PIC32.c,65 :: 		timer_count_end = 0;
SW	R0, Offset(_timer_count_end+0)(GP)
;C_Meter_PIC32.c,66 :: 		}
L_main2:
;C_Meter_PIC32.c,67 :: 		}
J	L_main0
NOP	
;C_Meter_PIC32.c,68 :: 		}
L_end_main:
L__main_end_loop:
J	L__main_end_loop
NOP	
; end of _main
_system_setup:
;C_Meter_PIC32.c,70 :: 		void system_setup( void )
ADDIU	SP, SP, -8
SW	RA, 0(SP)
;C_Meter_PIC32.c,73 :: 		C_METER_INT_DIR = 0;
SW	R25, 4(SP)
LUI	R2, BitMask(TRISE8_bit+0)
ORI	R2, R2, BitMask(TRISE8_bit+0)
_SX	
;C_Meter_PIC32.c,74 :: 		C_METER_RST_DIR = 1;
LUI	R2, BitMask(TRISC1_bit+0)
ORI	R2, R2, BitMask(TRISC1_bit+0)
_SX	
;C_Meter_PIC32.c,77 :: 		C_METER_RST = 0;
LUI	R2, BitMask(RC1_bit+0)
ORI	R2, R2, BitMask(RC1_bit+0)
_SX	
;C_Meter_PIC32.c,78 :: 		Delay_ms(50);
LUI	R24, 20
ORI	R24, R24, 22612
L_system_setup3:
ADDIU	R24, R24, -1
BNE	R24, R0, L_system_setup3
NOP	
NOP	
NOP	
;C_Meter_PIC32.c,79 :: 		C_METER_RST = 1;
LUI	R2, BitMask(RC1_bit+0)
ORI	R2, R2, BitMask(RC1_bit+0)
_SX	
;C_Meter_PIC32.c,82 :: 		UART2_Init( 9600 );
ORI	R25, R0, 9600
JAL	_UART2_Init+0
NOP	
;C_Meter_PIC32.c,83 :: 		UART2_Write_Text( "UART Initialized\r\n" );
LUI	R25, hi_addr(?lstr6_C_Meter_PIC32+0)
ORI	R25, R25, lo_addr(?lstr6_C_Meter_PIC32+0)
JAL	_UART2_Write_Text+0
NOP	
;C_Meter_PIC32.c,85 :: 		}
L_end_system_setup:
LW	R25, 4(SP)
LW	RA, 0(SP)
ADDIU	SP, SP, 8
JR	RA
NOP	
; end of _system_setup
_setup_interrupt:
;C_Meter_PIC32.c,87 :: 		void setup_interrupt( void )
;C_Meter_PIC32.c,89 :: 		AD1PCFG    = 0xFFFF;               // Turning all analog pins to digital
ORI	R2, R0, 65535
SW	R2, Offset(AD1PCFG+0)(GP)
;C_Meter_PIC32.c,90 :: 		TRISE8_bit = 1;                    // Set RE9 pin as input
LUI	R2, BitMask(TRISE8_bit+0)
ORI	R2, R2, BitMask(TRISE8_bit+0)
_SX	
;C_Meter_PIC32.c,91 :: 		TRISB      = 0;                    // Set PORTB as output
SW	R0, Offset(TRISB+0)(GP)
;C_Meter_PIC32.c,92 :: 		LATB       = 0;                    // Clear PORTB
SW	R0, Offset(LATB+0)(GP)
;C_Meter_PIC32.c,94 :: 		LATB = 0x5555;                     // Set PORTB start value
ORI	R2, R0, 21845
SW	R2, Offset(LATB+0)(GP)
;C_Meter_PIC32.c,96 :: 		INT1IP0_bit = 0;                   // Set INT2 interrupt
LUI	R2, BitMask(INT1IP0_bit+0)
ORI	R2, R2, BitMask(INT1IP0_bit+0)
_SX	
;C_Meter_PIC32.c,97 :: 		INT1IP1_bit = 0;                   // Set interrupt priorities
LUI	R2, BitMask(INT1IP1_bit+0)
ORI	R2, R2, BitMask(INT1IP1_bit+0)
_SX	
;C_Meter_PIC32.c,98 :: 		INT1IP2_bit = 1;                   // Set inrrupt priority to 4
LUI	R2, BitMask(INT1IP2_bit+0)
ORI	R2, R2, BitMask(INT1IP2_bit+0)
_SX	
;C_Meter_PIC32.c,99 :: 		INT1IE_bit  = 1;                   // Set interrupt on INT2 (RE9) to be enabled
LUI	R2, BitMask(INT1IE_bit+0)
ORI	R2, R2, BitMask(INT1IE_bit+0)
_SX	
;C_Meter_PIC32.c,100 :: 		EnableInterrupts();                // Enable interruts as previously set
EI	R30
;C_Meter_PIC32.c,101 :: 		}
L_end_setup_interrupt:
JR	RA
NOP	
; end of _setup_interrupt
_int1_interrupt:
;C_Meter_PIC32.c,103 :: 		void int1_interrupt() iv IVT_EXTERNAL_1 ilevel 4 ics ICS_AUTO {
ADDIU	SP, SP, -16
SW	R30, 12(SP)
MFC0	R30, 12, 2
SW	R30, 8(SP)
MFC0	R30, 14, 0
SW	R30, 4(SP)
MFC0	R30, 12, 0
SW	R30, 0(SP)
INS	R30, R0, 1, 15
ORI	R30, R0, 4096
MTC0	R30, 12, 0
;C_Meter_PIC32.c,104 :: 		int_count++;
LW	R2, Offset(_int_count+0)(GP)
ADDIU	R2, R2, 1
SW	R2, Offset(_int_count+0)(GP)
;C_Meter_PIC32.c,105 :: 		INT1IF_bit = 0;                    // Reset INT1 flag
LUI	R2, BitMask(INT1IF_bit+0)
ORI	R2, R2, BitMask(INT1IF_bit+0)
_SX	
;C_Meter_PIC32.c,106 :: 		}
L_end_int1_interrupt:
DI	
EHB	
LW	R30, 8(SP)
MTC0	R30, 12, 2
LW	R30, 4(SP)
MTC0	R30, 14, 0
LW	R30, 0(SP)
MTC0	R30, 12, 0
LW	R30, 12(SP)
ADDIU	SP, SP, 16
ERET	
; end of _int1_interrupt
_InitTimer1:
;C_Meter_PIC32.c,108 :: 		void InitTimer1(){
;C_Meter_PIC32.c,109 :: 		T1CON         = 0x8030;
ORI	R2, R0, 32816
SW	R2, Offset(T1CON+0)(GP)
;C_Meter_PIC32.c,110 :: 		T1IP0_bit         = 1;
LUI	R2, BitMask(T1IP0_bit+0)
ORI	R2, R2, BitMask(T1IP0_bit+0)
_SX	
;C_Meter_PIC32.c,111 :: 		T1IP1_bit         = 1;
LUI	R2, BitMask(T1IP1_bit+0)
ORI	R2, R2, BitMask(T1IP1_bit+0)
_SX	
;C_Meter_PIC32.c,112 :: 		T1IP2_bit         = 1;
LUI	R2, BitMask(T1IP2_bit+0)
ORI	R2, R2, BitMask(T1IP2_bit+0)
_SX	
;C_Meter_PIC32.c,113 :: 		T1IF_bit         = 0;
LUI	R2, BitMask(T1IF_bit+0)
ORI	R2, R2, BitMask(T1IF_bit+0)
_SX	
;C_Meter_PIC32.c,114 :: 		T1IE_bit         = 1;
LUI	R2, BitMask(T1IE_bit+0)
ORI	R2, R2, BitMask(T1IE_bit+0)
_SX	
;C_Meter_PIC32.c,115 :: 		PR1                 = 62500;
ORI	R2, R0, 62500
SW	R2, Offset(PR1+0)(GP)
;C_Meter_PIC32.c,116 :: 		TMR1                 = 0;
SW	R0, Offset(TMR1+0)(GP)
;C_Meter_PIC32.c,117 :: 		}
L_end_InitTimer1:
JR	RA
NOP	
; end of _InitTimer1
_Timer1Interrupt:
;C_Meter_PIC32.c,118 :: 		void Timer1Interrupt() iv IVT_TIMER_1 ilevel 7 ics ICS_SRS
RDPGPR	SP, SP
ADDIU	SP, SP, -12
MFC0	R30, 12, 2
SW	R30, 8(SP)
MFC0	R30, 14, 0
SW	R30, 4(SP)
MFC0	R30, 12, 0
SW	R30, 0(SP)
INS	R30, R0, 1, 15
ORI	R30, R0, 7168
MTC0	R30, 12, 0
;C_Meter_PIC32.c,122 :: 		T1IF_bit         = 0;
LUI	R2, BitMask(T1IF_bit+0)
ORI	R2, R2, BitMask(T1IF_bit+0)
_SX	
;C_Meter_PIC32.c,124 :: 		count++;
LH	R2, Offset(Timer1Interrupt_count_L0+0)(GP)
ADDIU	R2, R2, 1
SH	R2, Offset(Timer1Interrupt_count_L0+0)(GP)
;C_Meter_PIC32.c,125 :: 		if( count >= 4 )
SEH	R2, R2
SLTI	R2, R2, 4
BEQ	R2, R0, L__Timer1Interrupt15
NOP	
J	L_Timer1Interrupt5
NOP	
L__Timer1Interrupt15:
;C_Meter_PIC32.c,127 :: 		timer_count_end = int_count;
LW	R2, Offset(_int_count+0)(GP)
SW	R2, Offset(_timer_count_end+0)(GP)
;C_Meter_PIC32.c,128 :: 		int_count = 0;
SW	R0, Offset(_int_count+0)(GP)
;C_Meter_PIC32.c,129 :: 		sec_flag = true;
ORI	R2, R0, 1
SB	R2, Offset(_sec_flag+0)(GP)
;C_Meter_PIC32.c,130 :: 		count = 0;
SH	R0, Offset(Timer1Interrupt_count_L0+0)(GP)
;C_Meter_PIC32.c,131 :: 		}
L_Timer1Interrupt5:
;C_Meter_PIC32.c,132 :: 		}
L_end_Timer1Interrupt:
DI	
EHB	
LW	R30, 8(SP)
MTC0	R30, 12, 2
LW	R30, 4(SP)
MTC0	R30, 14, 0
LW	R30, 0(SP)
MTC0	R30, 12, 0
ADDIU	SP, SP, 12
WRPGPR	SP, SP
ERET	
; end of _Timer1Interrupt
